org.apache.tinkerpop.gremlin.driver.ser

## Enum Serializers

- java.lang.Object
- - java.lang.Enum<Serializers>
  - - org.apache.tinkerpop.gremlin.driver.ser.Serializers

- All Implemented Interfaces:
    Serializable, Comparable<Serializers>

      public enum Serializers
      extends Enum<Serializers>

  An enum of the default serializers.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRAPHBINARY_V1D0`
    `GRAPHSON` GraphSON 3.0.
    `GRAPHSON_V1D0`
    `GRAPHSON_V2D0`
    `GRAPHSON_V3D0`
    `GRYO_LITE_V1D0` Deprecated. As of release 3.2.6, not directly replaced - supported through `HaltedTraverserStrategy`.
    `GRYO_V1D0` Deprecated. As of release 3.4.3, replaced by `GRAPHBINARY_V1D0`.
    `GRYO_V3D0` Deprecated. As of release 3.4.3, replaced by `GRAPHBINARY_V1D0`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageSerializer` | `DEFAULT_REQUEST_SERIALIZER` Deprecated. As of release 3.3.5, not replaced, simply specify the exact version of the serializer to use.
    `static MessageSerializer` | `DEFAULT_RESULT_SERIALIZER` Deprecated. As of release 3.3.5, not replaced, simply specify the exact version of the serializer to use.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()`
    `MessageSerializer` | `simpleInstance()`
    `static Serializers` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Serializers[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GRAPHSON

          public static final Serializers GRAPHSON

      GraphSON 3.0.

    - #### GRAPHSON_V1D0

          public static final Serializers GRAPHSON_V1D0

    - #### GRAPHSON_V2D0

          public static final Serializers GRAPHSON_V2D0

    - #### GRAPHSON_V3D0

          public static final Serializers GRAPHSON_V3D0

    - #### GRAPHBINARY_V1D0

          public static final Serializers GRAPHBINARY_V1D0

    - #### GRYO_V1D0

          @Deprecated
          public static final Serializers GRYO_V1D0

      Deprecated. As of release 3.4.3, replaced by `GRAPHBINARY_V1D0`.

    - #### GRYO_V3D0

          @Deprecated
          public static final Serializers GRYO_V3D0

      Deprecated. As of release 3.4.3, replaced by `GRAPHBINARY_V1D0`.

    - #### GRYO_LITE_V1D0

          @Deprecated
          public static final Serializers GRYO_LITE_V1D0

      Deprecated. As of release 3.2.6, not directly replaced - supported through `HaltedTraverserStrategy`.

  - ### Field Detail

    - #### DEFAULT_RESULT_SERIALIZER

          @Deprecated
          public static final MessageSerializer DEFAULT_RESULT_SERIALIZER

      Deprecated. As of release 3.3.5, not replaced, simply specify the exact version of the serializer to use.
      Default serializer for results returned from Gremlin Server. This implementation must be of type `MessageTextSerializer` so that it can be compatible with text-based websocket messages.

    - #### DEFAULT_REQUEST_SERIALIZER

          @Deprecated
          public static final MessageSerializer DEFAULT_REQUEST_SERIALIZER

      Deprecated. As of release 3.3.5, not replaced, simply specify the exact version of the serializer to use.
      Default serializer for requests received by Gremlin Server. This implementation must be of type `MessageTextSerializer` so that it can be compatible with text-based websocket messages.

  - ### Method Detail

    - #### values

          public static Serializers[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Serializers c : Serializers.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Serializers valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### simpleInstance

          public MessageSerializer simpleInstance()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.